Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 31 Jul 2014 02:10:29 +0000 (UTC)
From:      Charlie <cwr@SDF.ORG>
To:        Adrian Chadd <adrian@freebsd.org>
Cc:        Roland Smith <rsmith@xs4all.nl>, FreeBSD Questions <freebsd-questions@freebsd.org>
Subject:   Re: pkg broken? Unable to install packages...
Message-ID:  <alpine.NEB.2.02.1407310209320.4870@sdf.lonestar.org>
In-Reply-To: <CAJ-VmonEBawopf=V_-tY9R2hJPTMi2ZOCeGt1-P527MQf0ei3g@mail.gmail.com>
References:  <alpine.NEB.2.02.1407282216230.3354@faeroes.freeshell.org> <20140729185723.GB5146@slackbox.erewhon.home> <alpine.NEB.2.02.1407310105430.25005@sdf.lonestar.org> <CAJ-VmonEBawopf=V_-tY9R2hJPTMi2ZOCeGt1-P527MQf0ei3g@mail.gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Wed, 30 Jul 2014, Adrian Chadd wrote:

> Date: Wed, 30 Jul 2014 19:07:38 -0700
> From: Adrian Chadd <adrian@freebsd.org>
> To: Charlie <cwr@sdf.org>
> Cc: Roland Smith <rsmith@xs4all.nl>,
>     FreeBSD Questions <freebsd-questions@freebsd.org>
> Subject: Re: pkg broken? Unable to install packages...
> 
> Try pkg upgrade -f
>
>
> -a
>
>
> On 30 July 2014 18:07, Charlie <cwr@sdf.org> wrote:
>> On Tue, 29 Jul 2014, Roland Smith wrote:
>>
>>> Date: Tue, 29 Jul 2014 20:57:23 +0200
>>> From: Roland Smith <rsmith@xs4all.nl>
>>> To: Charlie <cwr@SDF.ORG>
>>> Cc: freebsd-questions@freebsd.org
>>> Subject: Re: pkg broken? Unable to install packages...
>>>
>>>
>>> On Mon, Jul 28, 2014 at 10:20:16PM +0000, Charlie wrote:
>>>>
>>>> Hello list!
>>>>
>>>> I'm running 10-RELEASE x64, and all of a sudden I can't seem to install
>>>> any packages.
>>>>
>>>> No matter which package I attempt to install, the result is similar:
>>>
>>>
>>> Don't know if it is related, but there has been some breakage in pkg
>>> lately.
>>> Version 1.3.3 has hit the ports tree just now. You might want to try and
>>> install that from ports.
>>>
>>> If you build from ports, it uses the newly-built pkg-static inside the
>>> port
>>> for installation, so it should work.
>>>
>>> Roland
>>> --
>>> R.F.Smith                                   http://rsmith.home.xs4all.nl/
>>> [plain text _non-HTML_ PGP/GnuPG encrypted/signed email much appreciated]
>>> pgp: 5753 3324 1661 B0FE 8D93  FCED 40F6 D5DC A38A 33E0 (keyID: A38A33E0)
>>>
>>
>> Hey Roland,
>>
>> Thanks for the reply. I tried what you suggested -- updating pkg to the
>> latest version via ports -- but no luck. Same errors as before, no matter
>> what I'm trying to install or update.
>>
>> Help!
>>
>> Thanks,
>>
>>
>> Charlie
>>
>> cwr@sdf.org
>> SDF Public Access UNIX System - http://sdf.org
>> _______________________________________________
>> freebsd-questions@freebsd.org mailing list
>> http://lists.freebsd.org/mailman/listinfo/freebsd-questions
>> To unsubscribe, send any mail to "freebsd-questions-unsubscribe@freebsd.org"
> _______________________________________________
> freebsd-questions@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-questions
> To unsubscribe, send any mail to "freebsd-questions-unsubscribe@freebsd.org"
>

This is the result of running 'pkg upgrade -f':

pkg: cannot resolve conflict between remote libGL(want install), local 
libGL(want keep), please resolve it manually
pkg: SAT: conflicting request, cannot solve
pkg: cannot solve job using SAT solver

cwr@sdf.org
SDF Public Access UNIX System - http://sdf.org



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?alpine.NEB.2.02.1407310209320.4870>